[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TMultiReadExclusiveWriteSynchronizer.Beginwrite

Request write access to the resource.

## Declaration

Source position: systhrdh.inc line 46

`public function TMultiReadExclusiveWriteSynchronizer.Beginwrite: Boolean;`

## Description

Beginwrite is the implementation of IReadWriteSync.BeginWrite. It simply enters the critical section, and returns True.

## Errors

None.

## See also

IReadWriteSync.BeginWrite |  | Start a write operation.
EndWrite |  | Release write access to the resource

Documentation generated on: Feb 26 2014